Skip to navigation

Get envelope lock information

View as Markdown

Retrieves general information about the envelope lock.

If the call is made by the locked by user and the request has the same integrator key as original, then the X-DocuSign-Edit header and additional lock information is included in the response. This allows users to recover a lost editing session token and the X-DocuSign-Edit header.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

Response

Successful response.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
lockDurationInSecondsstringOptional

Sets the time, in seconds, until the lock expires when there is no activity on the envelope.

If no value is entered, then the default value of 300 seconds is used. The maximum value is 1,800 seconds.

The lock duration can be extended.

lockedByAppstringOptional
Specifies the friendly name of the application that is locking the envelope.
lockedByUserobjectOptional
lockedUntilDateTimestringOptional
The datetime until the envelope lock expires.
lockTokenstringOptional
A unique identifier provided to the owner of the envelope lock. Used to prove ownership of the lock.
lockTypestringOptional
The type of envelope lock. Currently "edit" is the only supported type.
useScratchPadstringOptional

Reserved for future use.

Indicates whether a scratchpad is used for editing information.

Errors

400
Bad Request Error